diff --git a/web/pgadmin/misc/cloud/azure/__init__.py b/web/pgadmin/misc/cloud/azure/__init__.py
index ff5b6dcce..bafbe99f4 100644
--- a/web/pgadmin/misc/cloud/azure/__init__.py
+++ b/web/pgadmin/misc/cloud/azure/__init__.py
@@ -720,7 +720,7 @@ def deploy_on_azure(data):
             session['azure_cache_files_list'][p.id] = azure.azure_cache_name
         else:
             session['azure_cache_files_list'] = {p.id: azure.azure_cache_name}
-
+        del session['azure']['azure_cache_file_name']
         return True, p, {'label': _label, 'sid': sid}
     except Exception as e:
         current_app.logger.exception(e)
diff --git a/web/pgadmin/misc/cloud/static/js/azure.js b/web/pgadmin/misc/cloud/static/js/azure.js
index 5734b0af6..f8587f9ab 100644
--- a/web/pgadmin/misc/cloud/static/js/azure.js
+++ b/web/pgadmin/misc/cloud/static/js/azure.js
@@ -264,6 +264,11 @@ export function validateAzureStep3(cloudDBDetails, nodeInfo) {
   if (isEmptyString(cloudDBDetails.db_username) || isEmptyString(cloudDBDetails.db_password)) {
     isError = true;
   }
+
+  if (cloudDBDetails.db_password != cloudDBDetails.db_confirm_password ||  !/^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[#$@!%&*?])[A-Za-z\d#$@!%&*?]{8,128}$/.test(cloudDBDetails.db_confirm_password)) {
+    isError = true;
+  }
+
   if (isEmptyString(cloudDBDetails.gid)) cloudDBDetails.gid = nodeInfo['server_group']._id;
   return isError;
 }
